Delete Record
POST /mpi/v1/deleteRecord/{source}/{identifier}
Deletes a record using a source system and identifier.
Warning
This cannot be undone.
Path Parameters
source
string
This represents a source system with an internal means of identifying data.
identifier
string
The unique identifier of the record within the source. This will be stored directly in the Identity service (not hashed or encrypted), so consider what kind of identifiers are suitable to your use case.
Response Data
changedPersons
collection
List of persons changed by the operation.
Child Fields
changedPersons[n].id
string
The stable identifier for this person used across records (“Person ID”).
changedPersons[n].records
collection
The constituent records that represent this person.
Element Fields
changedPersons[n].records[n].source
string
A source system with an internal means of identifying individuals.
changedPersons[n].records[n].identifier
string
The unique identifier of the record within the source. This will be stored directly in the Identity service (not hashed or encrypted), so consider what kind of identifiers are suitable to your use case.
changedPersons[n].version
integer
As records are added or removed, this version number will be incremented.
changedPersons[n].status
object
Child Fields
changedPersons[n].status.code
string
One of: Active or Retired. A record is retired when the original record has been superseded by new record(s).
changedPersons[n].status.supersededBy
string[]
If the person’s constituent records were merged into another person (or persons), this will contain a list of the IDs for the person(s).